---
- name: Definindo path para cacerts
  set_fact:
    path_java_security: "{{ current_java_home }}/lib/security"
  tags:
    - always

- name: Criando diretórios para configuração de certificado
  file: 
    path: "{{ path_java_security }}"
    state: directory 
  tags:
    - always

- name: Copiando certificado para a instalação do java
  copy: 
    src: /apps/jenkins/certs/cacerts
    dest: "{{ path_java_security }}/cacerts"
  tags:
    - always

- name: Instalação de certificados
  yum:
    name: ca-certificates 
  become: true
  tags: 
    - always

- name: Configurando path para os certificados 
  set_fact: 
    ca_path: "/etc/pki/ca-trust/source/anchors"
  tags:
    - always

- name: Configurando path para o cerificado raiz
  set_fact:
    ca_raiz_path: "{{ ca_path }}/B3CARaiz.pem"
  tags:
    - always

- name: Configurando path para o cerificado raiz
  set_fact:
    ca_subordinada_path: "{{ ca_path }}/B3CASubordinada.pem"
  tags:
    - always
    
- name: Validação de path para o certificado da CA raiz
  stat:
    path: "{{ ca_raiz_path }}"
  register: ca_raiz_path_stat
  tags: 
    - always

- name: Validação de path para o certificado da CA subordinada
  stat:
    path: "{{ ca_subordinada_path }}"
  register: ca_subordinada_path_stat
  tags: 
    - always

- name: Criação de arquivo para o certificado da raiz
  copy:
    content: "{{ lookup('env','B3CARaiz' ) }}"
    dest: "{{ ca_raiz_path }}"
  become: true
  tags: 
    - always

- name: Criação de arquivo para o certificado da subordinada
  copy:
    content: "{{ lookup('env','B3CASubordinada' ) }}"
    dest: "{{ ca_subordinada_path }}" 
  become: true
  tags: 
    - always

- name: Import SSL certificate to JKS keystore
  java_cert:
    cert_path: "{{ ca_path }}/{{ cert }}.pem"
    cert_alias: "{{ cert }}"
    executable: "{{ current_java_home }}/bin/keytool"
    keystore_path: "{{ path_java_security }}/cacerts"
    keystore_type: "JKS"
    keystore_pass: "{{ lookup('env','KEYSTORE_PASSWORD') }}"
    keystore_create: yes
    state: present
  loop: 
    - B3CARaiz
    - B3CASubordinada
  loop_control:
    loop_var: cert
  tags:
    - always

#- name: Update CA Trust
#  comand: 'update-ca-trust'
#  tags:
#    - always

  